# LabelStyleType Class Reference

Inheritance diagram for LabelStyleType:
[legend]

List of all members.

## Public Member Functions

| toString ()

## Static Public Member Functions

static | create ($id)

## Public Attributes

const | FLOAT = 0x1
const | PERCENT = 0x2
const | SCIENTIFIC = 0x3

## Protected Attributes

| $names

## Detailed Description

Definition at line 17 of file LabelStyleType.class.php.

## Member Function Documentation

static LabelStyleType::create | ( | $ | id | ) | `[static]`

Returns:
  LabelStyleType

Definition at line 32 of file LabelStyleType.class.php.

References IdentifiableObject::$id.

LabelStyleType::toString | ( |  | ) |

Reimplemented from Enumeration.

Definition at line 37 of file LabelStyleType.class.php.

## Member Data Documentation

LabelStyleType::$names`[protected]`

Initial value:

     array(
                self::FLOAT         => 'f',
                self::PERCENT       => 'p',
                self::SCIENTIFIC    => 'e'
            )

Reimplemented from Enumeration.

Definition at line 23 of file LabelStyleType.class.php.

const LabelStyleType::FLOAT = 0x1

Definition at line 19 of file LabelStyleType.class.php.

const LabelStyleType::PERCENT = 0x2

Definition at line 20 of file LabelStyleType.class.php.

const LabelStyleType::SCIENTIFIC = 0x3

Definition at line 21 of file LabelStyleType.class.php.

The documentation for this class was generated from the following file:

- main/Charts/Google/LabelStyleType.class.php